OpenCL* for CPU
Ask questions and share information on Intel® SDK for OpenCL™ Applications and OpenCL™ implementations for Intel® CPU
Announcements
This forum covers OpenCL* for CPU only. OpenCL* for GPU questions can be asked in the GPU Compute Software forum. Intel® FPGA SDK for OpenCL™ questions can be ask in the FPGA Intel® High Level Design forum.
1664 Discussions

No GPU device found on SkyLake + Ubuntu 16.04

Jiali_P_Intel
Employee
274 Views

hi,

Suppose OpenCL driver for Intel HD graphics on SkyLake is available on Ubuntu 14.02. But it's unfortunately not.

I downloaded SRB5.0_linux64.zip (with BUILD_ID 63503 in it) and installed it this way -

Install the intel-opencl-r5.0 driver
$ sudo apt-get update
$ sudo apt-get install xz-utils
$ mkdir intel-opencl
$ tar -C intel-opencl -Jxf intel-opencl-r5.0-BUILD_ID.x86_64.tar.xz
$ tar -C intel-opencl -Jxf intel-opencl-devel-r5.0-BUILD_ID.x86_64.tar.xz
$ tar -C intel-opencl -Jxf intel-opencl-cpu-r5.0-BUILD_ID.x86_64.tar.xz
$ sudo cp -R intel-opencl/* /
$ sudo ldconfig

 

But no GPU device is available when I checked it with samples like this, -

$ ./CapsBasic
Number of available platforms: 1
Platform names:
    [0] Intel(R) OpenCL [Selected]
Number of devices available for each type:
    CL_DEVICE_TYPE_CPU: 1
    CL_DEVICE_TYPE_GPU: 0
    CL_DEVICE_TYPE_ACCELERATOR: 0

----------------------------------------------------------------------------------------------------------------------------------------------------------

Below is configuration of my desktop -

$ grep -m 1 name /proc/cpuinfo
model name      : Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Sky Lake Integrated Graphics [8086:1912] (rev 06)

$ uname -a
Linux iot-demo 4.10.0-37-generic #41~16.04.1-Ubuntu SMP Fri Oct 6 22:42:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Please get help! Thanks!

 

 

0 Kudos
1 Reply
Jiali_P_Intel
Employee
274 Views

Hi,

Problem solved by add current non-root user to video group. Then logout and login again. It seems the installation document needs an update. The existing one is ambiguous. It is confusing to me to know the relationships of chapters.

 

Reply